ITrcDataIn Class Referenceabstract
OpenCSD Library : Interfaces

Interface to either trace data frame deformatter or packet processor. More...

`#include <trc_data_raw_in_i.h>`

Inheritance diagram for ITrcDataIn:
[legend]

## Public Member Functions

| ITrcDataIn ()
virtual | ~ITrcDataIn ()
virtual ocsd_datapath_resp_t | TraceDataIn (const ocsd_datapath_op_t op, const ocsd_trc_index_t index, const uint32_t dataBlockSize, const uint8_t *pDataBlock, uint32_t *numBytesProcessed)=0

## Detailed Description

Interface to either trace data frame deformatter or packet processor.

Interface class to a processor that can consume raw formatted trace byte stream from a trace reader or raw source buffer into a deformatter object.

Also used to interface a single trace source ID data stream into a packet processor.

Definition at line 52 of file trc_data_raw_in_i.h.

## Constructor & Destructor Documentation

## ITrcDataIn()

ITrcDataIn::ITrcDataIn | ( |  | ) |

inline

Definition at line 54 of file trc_data_raw_in_i.h.

## ~ITrcDataIn()

virtual ITrcDataIn::~ITrcDataIn | ( |  | ) |

inline virtual

Default constructor.

Definition at line 55 of file trc_data_raw_in_i.h.

## Member Function Documentation

## TraceDataIn()

virtual ocsd_datapath_resp_t ITrcDataIn::TraceDataIn | ( | const ocsd_datapath_op_t | op,
|  | const ocsd_trc_index_t | index,
|  | const uint32_t | dataBlockSize,
|  | const uint8_t * | pDataBlock,
|  | uint32_t * | numBytesProcessed
| ) |  |

pure virtual

Default destructor.

Data input method for a component on the Trace decode datapath. Datapath operations passed to the component, which responds with data path response codes.

This API is for raw trace data, which can be:-

- CoreSight formatted frame data for input to the frame deformatter.
- Single binary source data for input to a packet decoder.

Parameters

  op | : Data path operation.
  index | : Byte index of start of pDataBlock data as offset from start of captured data. May be zero for none-data operation
  dataBlockSize | : Size of data block. Zero for none-data operation.
  *pDataBlock | : pointer to data block. Null for none-data operation
  *numBytesProcessed | : Pointer to count of data used by processor. Set by processor on data operation. Null for none-data operation

Returns
  ocsd_datapath_resp_t : Standard data path response code.

Implemented in TrcPktProcI, TrcPktProcBase< P, Pt, Pc >, TrcPktProcBase< EtmV4ITrcPacket, ocsd_etmv4_i_pkt_type, EtmV4Config >, TrcPktProcBase< StmTrcPacket, ocsd_stm_pkt_type, STMConfig >, TrcPktProcBase< EtmV3TrcPacket, ocsd_etmv3_pkt_type, EtmV3Config >, TrcPktProcBase< EtmV4DTrcPacket, ocsd_etmv4_d_pkt_type, EtmV4Config >, TrcPktProcBase< PtmTrcPacket, ocsd_ptm_pkt_type, PtmConfig >, DecodeTree, and TraceFormatterFrameDecoder.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/interfaces/trc_data_raw_in_i.h